﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Docs.Html;

namespace ParseHtmlGetLinks
{
    class Program
    {
        static string linktext;

        static void Main(string[] args)
        {
            // Parse the html file
            HtmlDoc html = HtmlDoc.ParseHTML("../../../htmlparser.html");

            // The function seeks for links
            ScanHtmlTree("a", html.Nodes);
            Console.ReadLine();
        }

        static void ScanHtmlTree(string TagName, HtmlNodeCollection nodes)
        {
            foreach (HtmlNode node in nodes)
            {
                if (node.IsTag)
                {
                    HtmlTag tag = node as HtmlTag;
                    if (tag.Name == TagName)
                    {
                        if (tag.Attributes.IndexOf("href") != -1)
                        {
                            Console.WriteLine("Link: " + tag.Attributes["href"].Value);
                            linktext = "";
                            GetText(tag.Nodes);
                            Console.WriteLine("Text: " + linktext);
                            Console.WriteLine();
                        }
                    }
                    ScanHtmlTree(TagName, tag.Nodes);
                }
            }
        }

        static void GetText(HtmlNodeCollection nodes)
        {
            foreach (HtmlNode node in nodes)
            {
                if (node.IsTag)
                {
                    HtmlTag tag = node as HtmlTag;
                    GetText(tag.Nodes);
                }
                else
                {
                    linktext += node.ToString();
                }
            }
        }


    }
}
