﻿Imports Docs.Html
Imports Docs.Css


Module Module1

    Sub Main()
        Dim csssnippet = "h1 {background: yellow;} h3 {font-sizeof:12pt; color: blue;} a {text-decoration: underline;}"

        ' Parse Css document
        Dim css As CssDocument = CssDocument.ParseCSS(csssnippet)

        ' Find style for a tag
        FindSelector("h3", css)
        Console.ReadLine()
    End Sub

    Sub FindSelector(ByVal SelectorName As String, ByVal css As CssDocument)

        For Each rule As RuleSet In css.RuleSets
            For Each sel As Selector In rule.Selectors
                For Each simsel As SimpleSelector In sel.SimpleSelectors
                    If simsel.ElementName = SelectorName Then

                        For Each decl As Declaration In rule.Declarations
                            Console.WriteLine(decl.ToString)
                        Next

                    End If
                Next
            Next
        Next

    End Sub



End Module
