﻿Imports Docs.Html


Module Module1

    Dim linktext As String

    Sub Main()
        ' Parse the html file
        Dim html As HtmlDoc = HtmlDoc.ParseHTML("../../../htmlparser.html")

        ' The function seeks for links
        ScanHtmlTree("a", html.Nodes)
        Console.ReadLine()
    End Sub

    Sub ScanHtmlTree(ByVal TagName As String, ByVal nodes As HtmlNodeCollection)
        For Each node As HtmlNode In nodes
            If node.IsTag Then

                Dim tag As HtmlTag = CType(node, HtmlTag)
                If tag.Name = TagName Then
                    If tag.Attributes.IndexOf("href") >= 0 Then

                        Console.WriteLine("Link: " + tag.Attributes("href").Value)
                        linktext = ""
                        GetText(tag.Nodes)
                        Console.WriteLine("Text: " + linktext)
                        Console.WriteLine()

                    End If
                End If

                ScanHtmlTree(TagName, tag.Nodes)
            End If
        Next
    End Sub

    Sub GetText(ByVal nodes As HtmlNodeCollection)
        For Each node As HtmlNode In nodes
            If node.IsTag Then
                Dim tag As HtmlTag = CType(node, HtmlTag)
                GetText(tag.Nodes)
            Else
                linktext += node.ToString()
            End If
        Next
    End Sub

End Module
