﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Docs.Html;

namespace ParseHtmlGetText
{
    class Program
    {
        static string justtext = "";

        static void Main(string[] args)
        {
            string htmltext = "<div><b>Bold text</b> before <span style=\"font-style:italic;\">Italic text</span></div>";

            // Build DOM of the html 
            HtmlDoc html = HtmlDoc.ParseHTML(htmltext);

            // The function gets text
            GetText(html.Nodes);
            Console.Write(justtext);
            Console.ReadLine();
        }

        static void GetText(HtmlNodeCollection nodes)
        {
            foreach (HtmlNode node in nodes)
            {
                if (node.IsTag)
                {
                    HtmlTag tag = node as HtmlTag;
                    GetText(tag.Nodes);
                }
                else
                {
                    justtext += node.ToString();
                }
            }
        }


    }
}
